Summary:	A list monitor with a visual output
Name:		faces
Version:	1.6.1
Release:	16mdk
License:	Freeware
Group:		Networking/Mail
BuildRequires:	XFree86-devel, byacc
Source:		ftp://ftp.cs.indiana.edu/pub/faces/faces/faces-1.6.1.tar.bz2
Source1:	faces_menu
Source2:	faces-32.png
Source3:	faces-16.png
Source4:	faces-48.png
Patch0:		faces-1.6.1-make.patch.bz2
Patch1:		faces-1.6.1-awk.patch.bz2
Patch2:		faces-1.6.1-string.patch.bz2
Patch3:		faces-1.6.1-fix.patch.bz2
Patch4:		faces-1.6.1-ikon2xbm.patch.bz2
Requires:	libgr-progs
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Faces is a program for visually monitoring a list (typically a list of
incoming mail messages, a list of jobs in a print queue or a list of
system users).  Faces operates in five different modes: monitoring for
new mail, monitoring an entire mail file, monitoring a specified print
queue, monitoring users on a machine and custom monitoring.  Faces also
includes a utility for including a face image (a compressed, scanned
image) with mail messages.  The image has to be compressed in a certain
way, which can then be uncompressed and displayed on-the-fly in the mail
program.  This feature of faces is typically used with the exmh mail
handling system.

Install faces if you'd like to use its list monitoring capability or
its face image inclusion capability.  If you would like to include
face images in email, you'll also need to install the faces-xface
package.  If you would like to develop xface applications, you'll need
to also install faces-devel.

%package xface
Requires: libgr-progs
Summary: Utilities needed by mailers for handling Faces' X-face images.
Group: Networking/Mail

%description xface
Faces-xface includes the utilities that mail user agent programs need to
handle X-Face mail headers.  When an email program reads the X-face
header line in an email message, it calls these utilities to display
the face image included in the message.

You'll need to install faces-xface if you want your mail program to
display Faces' X-face images.

%package devel
Summary: The Faces program's library and header files.
Group: Development/C

%description devel
Faces-devel contains the faces program development environment,
(i.e., the static libraries and header files).

If you want to develop Faces applications, you'll need to install
faces-devel.  You'll also need to install the faces package.

%prep
%setup -q -n faces
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -f Makefile.dist x11

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}
make -f Makefile.dist \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	install

install -m644 compface/compface.h $RPM_BUILD_ROOT%{_includedir}/compface.h

mkdir -p $RPM_BUILD_ROOT%{_libdir}/faces


mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/faces
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{large,mini}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/faces.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/faces.png
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/faces.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus
	 

%files
%defattr(-,root,root,0755)
%{_iconsdir}/faces.png
%{_liconsdir}/faces.png
%{_miconsdir}/faces.png
%{_menudir}/faces
%{_bindir}/compface
%{_mandir}/man1/compface.1.*
%{_mandir}/man3/compface.3.*
%{_bindir}/icon2ikon
%{_bindir}/ikon2icon
%{_bindir}/fs2ikon
%{_bindir}/rs2icon
%{_bindir}/fs2xbm
%{_bindir}/xbm2ikon
%{_bindir}/xbmcut48
%{_bindir}/xbmsize48
%{_bindir}/addxface
%{_bindir}/mailq.faces
%{_bindir}/from.faces
%{_bindir}/lpqall.faces
%{_bindir}/rotary.faces
%{_bindir}/facesaddr
%{_bindir}/facesall
%{_bindir}/mkfacesindex
%{_bindir}/newscheck.faces
%{_bindir}/newsfrom.faces
%{_bindir}/faces
%{_bindir}/face_update
%{_bindir}/faces.sendmail
%{_mandir}/man1/faces.1.*
%{_mandir}/man1/face_update.1.*
%{_libdir}/faces

%files xface
%defattr(-,root,root)
%{_bindir}/uncompface
%{_mandir}/man1/uncompface.1.*
%{_mandir}/man3/uncompface.3.*
%{_bindir}/ikon2xbm

%files devel
%defattr(-,root,root)
%{_includedir}/compface.h
%{_libdir}/libcompface.a

%changelog
* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6.1-16mdk
- xpm -> png icons

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-15mdk
- Use new icons

* Mon Jan 15 2001 Francis Galiegue <fg@mandrakesoft.com> 1.6.1-14mdk
- Normal and large icons
- Some spec file fixes

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-13mdk
- BuildRequires: byacc

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.6.1-12mdk
- rebuild for the macors  Stefan: the patch failed to apply ...

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6.1-11mdk
- automatically added BuildRequires

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 1.6.1-10mdk
- add mini icon for menus
- add menu entries
- fix rpm group
- specfile cleanup (permissions and spec-helper stuff)

* Tue Nov  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix ikon2xbm problem (r).

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fix xbm2ikon problem (bug # 1060).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- faces-devel moved to Development/Libraries

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- changed netpbm requirement to libgr-progs requirement

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
